#!/bin/sh
# $Id: timeout-all.sh,v 1.3 1994/12/24 09:03:00 asf Exp $

#    This file is part of Addventure
#    Copyright (C) 1994  Allen S. Firstenberg
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

### YOU MUST SET THE FOLLOWING

# These should be the same as what you gave to 'newgame'
FILEPATH="/home/asf/src/addventure/rooms"
URLPATH="/addventure"
BINPATH="/cgi-bin/"

# These should be standard or Addventure programs
BASENAME="/usr/bin/basename"
TIMEOUT="/home/asf/src/addventure/version-2.0/timeout"


### You should not have to change the following

cd $FILEPATH;

for OPENFILE in `ls *.open`; do
  ROOMNO=`$BASENAME $OPENFILE .open`;
  echo $TIMEOUT -filepath $FILEPATH -urlpath $URLPATH -binpath $BINPATH -room $ROOMNO;
  $TIMEOUT -filepath $FILEPATH -urlpath $URLPATH -binpath $BINPATH -room $ROOMNO;
done;

# $Log: timeout-all.sh,v $
# Revision 1.3  1994/12/24  09:03:00  asf
# Fixed the problem with wildcarding files that may not be there.
#
# Revision 1.2  1994/12/24  08:45:34  asf
# Fixed problems with ROOMNO
#
# Revision 1.1  1994/12/24  08:44:53  asf
# Initial revision
#