/*
 * $Id: tokenizer.H,v 1.1 1996/08/04 01:19:40 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1996  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TOKENIZER_H
#define _TOKENIZER_H

/***************************************************************************/

class Tokenizer{

public:
  Tokenizer( char *string );
  Tokenizer( char *string, char *tokens );
  Tokenizer( char *string, char token );
  ~Tokenizer();

  char *getnext();
  char *getnext( char *tokens );
  char *getnext( char token );

  int finished();

private:
  char *v_tokens;
  char *v_string;
  char *v_ptr;
  int v_finished;
};

/***************************************************************************/

#endif

/*
 * $Log: tokenizer.H,v $
 * Revision 1.1  1996/08/04 01:19:40  asf
 * Initial revision
 *
 */
